
import axios from "axios";

const service = axios.create(
    {
        baseURL: "",
        timeout: 10000,
    }
);

//请求拦截
service.interceptors.request.use(
    (config) =>
    {
        return config;
    },
    (error) =>
    {
        console.log(error);

        return Promise.reject(error);
    }
);

//响应拦截
service.interceptors.response.use(
    (response) =>
    {
        return response;
    },
    (error) =>
    {
        return Promise.reject(error);
    }
);

export { service };