/*
 * @Author: Kane
 * @Date: 2023-02-28 14:48:30
 * @LastEditors: Kane
 * @FilePath: /deskop_task_schedule/code/web/task_schedule/src/data/cpicxim/StuffInfo.ts
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

class StuffInfo
{
    StuffInfo(
        stuff_code: string = "",
        stuff_name: string = "",
        p13uid: string = "",
        department_code: string = "",
        department_name: string = ""
    )
    {
        this._stuffCode = stuff_code;
        this._stuffName = stuff_name;
        this._p13uid = p13uid;
        this._department_code = department_code;
        this._department_name = department_name;
    }

    public get StuffCode(): string
    {
        return this._stuffCode;
    }

    public set StuffCode(stuff_code: string)
    {
        this._stuffCode = stuff_code;
    }

    public get StuffName(): string
    {
        return this._stuffName;
    }

    public set StuffName(stuff_name: string)
    {
        this._stuffName = stuff_name;
    }

    public get P13UID(): string
    {
        return this._p13uid;
    }

    public set P13UID(p13uid: string)
    {
        this._p13uid = p13uid;
    }

    private _stuffCode: string;
    private _stuffName: string;
    private _p13uid: string;
    private _department_code: string;
    private _department_name: string;
}

export { StuffInfo };

